<?php 
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past

$wp_root = dirname(__FILE__) .'/../../../';
if(file_exists($wp_root . 'wp-load.php')) {
	require_once($wp_root . "wp-load.php");
} else if(file_exists($wp_root . 'wp-config.php')) {
	require_once($wp_root . "wp-config.php");
} else {
	exit;
}

require_once(dirname(__FILE__) .'/functions.php');

if (isset($_GET['sppro_popup'])){
	die(sppro_get_popup($_GET['sppro_popup']));
}

if (isset($_GET['sppro_popup_page'])){
	die(sppro_get_popup_page($_GET['sppro_popup_page']));
}

if (isset($_GET['sppro_ty'])){
	die(sppro_get_ty($_GET['sppro_ty']));
}

die();

function sppro_get_ty($ty_id){
	$options = sppro_get_options('smp-options-pro');
	//$ty_id = $options['popup_thankyou_message_id'];
	return $options['thankyou_messages'][$ty_id]['content'];
}

function sppro_get_popup_page($id){
	if (!is_numeric($id))return "";
	$options = sppro_get_options('smp-options-pro');
	$temp_query = new WP_Query(array('page_id' => intval($id)));
	if ($temp_query->have_posts()) {
		$temp_query->the_post();
		global $more;    // Declare global $more (before the loop).
		$more = 1;
		$content = do_shortcode( $content );
		$content = $options['popup_page_header'].get_the_content().$options['popup_page_footer'];
	}
	//$content = preg_replace_callback("/(.*?)<form([^>]*)>(.*)/i", "\\1<form \\2 target='_blank' onsubmit='parent.sppro_close(document)'>\\3", $content);
	if (preg_match("/<form([^>]*)>/i", $content))
		$content = preg_replace_callback("/(.*?)(<form[^>]*>)(.*)/i", "sppro_form_inject", $content);
	$content = preg_replace("/(.*?)<\/body>(.*)/i", "\\1".sppro_popup_footer_script()."</body>\\2", $content);
	return $content;
}

function sppro_get_popup($file_type){
	$options = sppro_get_options('smp-options-pro');
	global $sppro_inline_popup_temp_file,$sppro_inline_popup_file;
	if ($file_type == 'temp'){
		$path = $sppro_inline_popup_temp_file;
		//$content = file_get_contents($path);
		$content = $options['popup_temp_content'];
	}else{
		//$path = $sppro_inline_popup_file;
		$content =$options['forms'][$file_type]['content'];
	}
		
			
	
	//$content = preg_replace_callback("/(.*?)<form([^>]*)>(.*)/i", "\\1<form \\2 target='_blank' onsubmit='parent.sppro_close(document)'>\\3", $content);
	
	if (preg_match("/<form([^>]*)>/i", $content))
		$content = preg_replace_callback("/(.*?)(<form[^>]*>)(.*)/i", "sppro_form_inject", $content);
	
	if (preg_match("/<body([^>]*)>/i", $content))
		$content = preg_replace("/(.*?)<\/body>(.*)/i", "\\1".sppro_popup_footer_script()."</body>\\2", $content);
	else
		$content .= sppro_popup_footer_script();
	return $content;
}

function sppro_form_inject($matches){
	$options = get_option('smp-options-pro');
	$the_form = strtolower($matches[2]);
	$the_form_new = "<form ";
	$attrs = sppro_element_attributes('form', $the_form);
	$onsubmit_set = false;
	if (is_array($attrs)){
		//print_r($attrs);
		foreach($attrs as $attr_name => $attr_value){
			//if ($attr_name == 'onsubmit'){
			//	$the_form_new .= "onsubmit='$attr_value;parent.sppro_callback(document);' ";
			//	$onsubmit_set = true;
			//}else 
			
					if ($attr_name == 'target'){
				if ($options['popup_autoclose'] == CLOSE_AUTO_WITH_NEW_TARGET || 
					$options['popup_autoclose'] == CLOSE_AUTO_WITH_THANKYOU){
					continue;
				} else {
					$the_form_new .= "$attr_name='$attr_value' ";	
				}
			} 
			
			else if ($attr_name == 'action'){
				if ($options['popup_autoclose'] == CLOSE_AUTO_WITH_THANKYOU && $options['popup_collect_data'] == 1){
					continue;
				} else {
					$the_form_new .= "$attr_name='$attr_value' ";	
				}
			} 
					
			else if ($attr_name == 'method'){
				if ($options['popup_autoclose'] == CLOSE_AUTO_WITH_THANKYOU && $options['popup_collect_data'] == 1){
					continue;
				} else {
					$the_form_new .= "$attr_name='$attr_value' ";	
				}			
			}

			else {
					$the_form_new .= "$attr_name='$attr_value' ";	
			}
		}
	}
	//if (!$onsubmit_set)
		//$the_form_new .= " onsubmit='parent.sppro_callback(document)' ";
	if ($options['popup_autoclose'] == CLOSE_AUTO_WITH_THANKYOU && $options['popup_collect_data'] == 1){		
		$the_form_new .= " action='". WP_PLUGIN_URL_BASE . "/collectdata.php' method='POST' ";
	}
	if ($options['popup_autoclose'] == CLOSE_AUTO_WITH_NEW_TARGET)
		$the_form_new .= " target='_blank' ";
	else if ($options['popup_autoclose'] == CLOSE_AUTO_WITH_THANKYOU)
		$the_form_new .= " target='sppro_hidden_frame' ";
	$the_form_new .= " >";
	$res = $matches[1].$the_form_new.$matches[3];
	return $res;	
}
