<?php 
add_action( 'widgets_init', 'sppro_load_widgets' );

function sppro_load_widgets() {
	register_widget( 'Sppro_Widget' );
}




function sppro_widget_form_inject($matches){
	$options = get_option('smp-options-pro');
	$ty_id = $options['widget_thankyou_message_id'];
	$the_form = strtolower($matches[2]);
	$the_form_new = "<form ";
	$attrs = sppro_element_attributes('form', $the_form);
	$onsubmit_set = false;
	$current_url = $_SERVER['REQUEST_URI'];
    if (strpos($current_url, '?') > 0)
    	$current_url .= '&';
    else
    	$current_url .= '?';
    $current_url .= "sppro_widget_ty=$ty_id#sppro_widget_anchor";
	if (is_array($attrs)){
		//print_r($attrs);
		foreach($attrs as $attr_name => $attr_value){
		if ($attr_name == 'onsubmit'){
			
			$the_form_new .= "onsubmit='$attr_value;sppro_open_url_after_iframe_loaded(document, \"sppro_hidden_frame\",\"$current_url\")' ";
			$onsubmit_set = true;
		}else if ($attr_name == 'target') continue;
			else
				$the_form_new .= "$attr_name='$attr_value' ";
		}
	}
	if (!$onsubmit_set){
		$the_form_new .= "onsubmit='sppro_open_url_after_iframe_loaded(document, \"sppro_hidden_frame\",\"$current_url\")' ";
	}
	$the_form_new .= " target='sppro_hidden_frame' ";
	$the_form_new .= " >";
	$res = $matches[1].$the_form_new.$matches[3];
	return $res;		
}

class Sppro_Widget extends WP_Widget {

	function Sppro_Widget() {
		$widget_ops = array( 
			'classname' => 'sppro_widget', 
			'description' => __('Integrates a WP Super Popup form on your sidebar', 'sppro_lang_domain') );

		//$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'sppro_widget' );
		$control_ops = array(  'id_base' => 'sppro_widget' );
		
		$this->WP_Widget( 'sppro_widget', __('Super Popup Pro Widget', 'sppro_lang_domain'), $widget_ops, $control_ops );
	}


	function widget( $args, $instance ) {
		extract( $args );

		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );


		/* Before widget (defined by themes). */
		echo "<a name='sppro_widget_anchor'></a>".$before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;

		$options = get_option('smp-options-pro');
		if (strlen($options['widget_content_id']) > 0){
			if (isset($_GET['sppro_widget_ty'])){
				$ty_id = $options['widget_thankyou_message_id'];
				$content = $options['thankyou_messages'][$ty_id]['content'];
			} else {
				list ($id, $type) = explode("|", $options['widget_content_id']);
				$content = $options['forms'][$id]['content'];
				if ($options['widget_show_ty'] == 1){
					echo "<iframe id='sppro_hidden_frame' name='sppro_hidden_frame' height='1' width='1' style='display: none;'></iframe>";
					if (preg_match("/<form([^>]*)>/i", $content))
						$content = preg_replace_callback("/(.*?)(<form[^>]*>)(.*)/i", "sppro_widget_form_inject", $content);	
				}

				
			}
		} else
			$content = "Widget not configured";
		
		echo "<div id='smp-widget'>$content</div>";				
			
		


		/* After widget (defined by themes). */
		echo $after_widget;
	}
	

	/**
	 * Update the widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags for title and name to remove HTML (important for text inputs). */
		$instance['title'] = strip_tags( $new_instance['title'] );

		return $instance;
	}

	/**
	 * Displays the widget settings controls on the widget panel.
	 * Make use of the get_field_id() and get_field_name() function
	 * when creating your form elements. This handles the confusing stuff.
	 */
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 
			'title' => __('Subscribe', 'sppro_lang_domain') );
		$instance = wp_parse_args( (array) $instance, $defaults ); 
		
		$info = get_bloginfo('wpurl');
		
		$admin_url = $info . "/wp-admin/admin.php?page=wp-super-popup-pro/admin-functions.php&tabsel=3";
		?>

		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'hybrid'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:80%;" />
		</p>
		<p>
		<a target="_blank" href="<?php echo $admin_url;?>">Configure this widget</a>
		</p>

	<?php
	}
}

?>